Package com.verisign.epp.codec.registry.v02

## Enum EPPRegistryExceedMaxExDate.Policy

- java.lang.Object
- - java.lang.Enum<EPPRegistryExceedMaxExDate.Policy>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryExceedMaxExDate.Policy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRegistryExceedMaxExDate.Policy>`
  Enclosing class:
    EPPRegistryExceedMaxExDate

      public static enum EPPRegistryExceedMaxExDate.Policy
      extends java.lang.Enum<EPPRegistryExceedMaxExDate.Policy>

  Possible values for the `policy` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `clip` | The server will clip the fractional period when the expiration date exceeds the maximum expiration date by a fraction of a period and will fail the renewal command when the expiration date exceeds the maximum expiration date by a whole period and above.
    `disableRenewal` | The server will execute the command with the renewal feature disabled when the expiration date exceeds the maximum expiration date.
    `fail` | The server will fail the renewal command when the expiration date exceeds the maximum expiration date.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRegistryExceedMaxExDate.Policy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRegistryExceedMaxExDate.Policy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### fail

          public static final EPPRegistryExceedMaxExDate.Policy fail

      The server will fail the renewal command when the expiration date exceeds the maximum expiration date. An example is if the maximum expiration date is 10 years, and a client renews a domain name to 10.5 years, the server will fail the renew.

    - #### clip

          public static final EPPRegistryExceedMaxExDate.Policy clip

      The server will clip the fractional period when the expiration date exceeds the maximum expiration date by a fraction of a period and will fail the renewal command when the expiration date exceeds the maximum expiration date by a whole period and above. An example is if the maximum expiration date is 10 years, and the client renews a domain to 10.5 years, the server will clip the .5 fractional year so that the domain name will expire exactly in 10 years.

    - #### disableRenewal

          public static final EPPRegistryExceedMaxExDate.Policy disableRenewal

      The server will execute the command with the renewal feature disabled when the expiration date exceeds the maximum expiration date. This may be the case for a command like "transfer" that includes a renewal feature in [RFC5731].

  - ### Method Detail

    - #### values

          public static EPPRegistryExceedMaxExDate.Policy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryExceedMaxExDate.Policy c : EPPRegistryExceedMaxExDate.Policy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryExceedMaxExDate.Policy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null